Bug 201051 - IllegalStateException: Too many org.netbeans.modules.remote.impl.fs.ui.ConnectionNotifierDelegate$1 (3) in shared RequestProcessor; create your own
IllegalStateException: Too many org.netbeans.modules.remote.impl.fs.ui.Connec...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: -- Other --
7.0
All All
: P3 (vote)
: 7.0.1
Assigned To: Alexander Simon
issues@cnd
EXCEPTIONS_REPORT, 701patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-17 17:01 UTC by Alexander Simon
Modified: 2011-08-29 13:36 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (929 bytes, text/plain)
2011-08-17 17:01 UTC, Alexander Simon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Simon 2011-08-17 17:01:29 UTC
Build: Oracle Solaris Studio Dev 2011/08/17 fb08459e7fa4
VM: Java HotSpot(TM) Server VM, 20.0-b11, Java(TM) SE Runtime Environment, 1.6.0_25-b06
OS: SunOS

User Comments:
alexvsimon: start IDE with opened full remote subproject sample (5 opened projects)




Stacktrace: 
java.lang.IllegalStateException: Too many org.netbeans.modules.remote.impl.fs.ui.ConnectionNotifierDelegate$1 (3) in shared RequestProcessor; create your own
   at org.openide.util.RequestProcessor.post(RequestProcessor.java:425)
   at org.netbeans.modules.remote.impl.fs.ui.ConnectionNotifierDelegate.connected(ConnectionNotifierDelegate.java:127)
   at org.netbeans.modules.nativeexecution.api.util.ConnectionManager.fireConnected(ConnectionManager.java:204)
   at org.netbeans.modules.nativeexecution.api.util.ConnectionManager.initiateConnection(ConnectionManager.java:329)
   at org.netbeans.modules.nativeexecution.api.util.ConnectionManager.connectTo(ConnectionManager.java:260)
   at org.netbeans.modules.cnd.makeproject.MakeProject$1.run(MakeProject.java:1158)
Comment 1 Alexander Simon 2011-08-17 17:01:33 UTC
Created attachment 110048 [details]
stacktrace
Comment 2 Alexander Simon 2011-08-19 08:38:48 UTC
Bug was introduced by fixing of:
Bug #200656 - [DD] Unable to create full remote project
So bug is 701patch-candidate.
Comment 3 Alexander Simon 2011-08-19 11:11:30 UTC
fixed, change set:
http://hg.netbeans.org/cnd-main/rev/4a76b963caa2
transplanted in release701_fixes on elif:
4a76b963caa2 transplanted to c05e72333407
Comment 4 Alexander Pepin 2011-08-23 13:59:01 UTC
verified in dev build #30 (20110823)
Comment 5 Alexander Simon 2011-08-24 11:42:28 UTC
integrated in release701_fixes:
c05e72333407 transplanted to 2307af7abd98
Comment 6 Alexander Pepin 2011-08-29 13:36:06 UTC
verified in 7.0.1 patch1.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo